Subject: bug#28087: "guix build: error: no build log for gnu-store-pathto.drv" with previously offloaded successful build

From: [email-masked] (Ludovic Courtès)
Date: Fri, 08 Sep 2017 10:32:56 +0200

Hi ng0,

Sorry for the late reply.

ng0 <[email-masked]> skribis:

> I offload my builds by default.
> The build in question succeeded. Now I wanted to read the log of the successful build to check
> the configure options.
> I thought I'd just do:
>
> guix build --log-file --no-grafts --check --no-build-hook --rounds=2 --verbosity=5 mate-session-manager

Note: don’t use “--log-file” along with “--check”; these are two
different things.

> Verbosity was just added later, and so was --check and --no-grafts and --rounds.
> The only time I did not get was when the build was grafted, which got me a log
> file with the content of the graft locationA -> locationB in it.
>
> Every other try just gives me:
> guix build: error: no build log for '/gnu/store/l5cznxxdnbf803mkjavmg9kajicy7751-mate-session-manager-1.18.1.drv'
>
> Is this a bug or just a mistake of where I put "--log-file"?

Can you still reproduce this?

If so, can you manually check whether the log file you’re looking for is
actually in /var/log/guix/drvs on your machine?

TIA,
Ludo’.